<?php
function privileges2role($privileges) {
  //print_r($privileges);
  if (is_array($privileges)) {
    if (in_array('admin', $privileges)) return 3;
    if (in_array('update', $privileges)) return 2;
    if (in_array('read', $privileges)) return 1;
  } else return 0;
}

function grouper_ui_real_path ($filename) {
	// Check for absolute path
	if (realpath($filename) == $filename) {
		return $filename;
	}

	// Otherwise, treat as relative path
	$paths = explode(":", get_include_path());
	foreach ($paths as $path) {
		if (substr($path, -1) == "/") {
			$fullpath = $path.$filename;
		} else {
			$fullpath = $path."/".$filename;
		}
		if (file_exists($fullpath)) {
			return $fullpath;
		}
	}
	return false;
}

function figure_out_p() {
	if(!empty($_GET['p']) && preg_match('/^[a-z]+$/', $_GET['p'], $matches)) {
		return $matches[0];
	}
	if(!empty($_SERVER['PATH_INFO']) && preg_match('|^/([a-z]+)/?$|', $_SERVER['PATH_INFO'], $matches))
		return $matches[1];

	return '';
}

?>
